Bug 1122353 - [RFE][ceilometer]: Adding Billing in Ceilometer
Summary: [RFE][ceilometer]: Adding Billing in Ceilometer
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/ceil...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 04:03 UTC by RHOS Integration
Modified: 2015-11-20 19:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:18:48 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-23 04:03:47 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/ceilometer/+spec/billing-in-ceilometer.

Description:

This blueprint aims for providing the admin user of a private cloud facility to view usage and billing details for the spawned instances. Admin can view project-wise billing details of each instance of that project. Usage of resources by the instances will be measured in terms of disk usage, network usage and CPU usage. Total cost for each project will be calculated. Admin user can create rate plans. Rate plans will define charges based on usage by the instance. Any rate plans can be applied for any instance to calculate its billing cost. There will be a default rate plan that will be applied to an instance if admin does not specify explicity which rate plan has to be used. For getting the billing deatils for each tenant/instance we will add more Ceilometer API. Ceilometer will measure usage of resources in terms of disk usage, network usage and CPU usage.

Specification URL (additional information):

https://wiki.openstack.org/wiki/Ceilometer/blueprints/Add_Billing_in_Ceilometer


Note You need to log in before you can comment on or make changes to this bug.